[debian-mysql] Bug#437870: mysql-server-5.0: Host '' is not allowed to connect to this MySQL

Lukasz Szybalski szybalski at gmail.com
Tue Aug 14 15:33:11 UTC 2007

Package: mysql-server-5.0
Version: 5.0.32-7etch1
Severity: normal

I have installed mysql currectly. Everything is working on
I am not able to connect from outside.

My ip address is
I am able to ping it.
I am able to connect throught it via ssh.
There is no firewall set.
Hosts.allow and hosts.deny are both empty.

Debian.README for mysql-server-5.0 states that server is bound to in my.cnf .
bind-address            =
After searching via google i found few people who said that commenting
the line out will work. It didn't.
I have tried to change the ip address to or or
uncomment it completely. Still it fails to connect.
#bind-address            =

Then I tried to add 
mysqld: all
to hosts.allow
Still can't connect.

Here is a telnet log . I am trying to connect from the same machine.
debian:/home/admin# telnet 3306
Connected to
Escape character is '^]'.
CHost '' is not allowed to connect to this MySQL
serverConnection closed by foreign host.

What other setting have I missed? What setting have changed conecrning
allowing access/denying from none since previous relese.

Any ideas?


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (600, 'stable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.27-3-386
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages mysql-server-5.0 depends on:
ii  adduser                    3.102         Add and remove users and groups
ii  debconf [debconf-2.0]      1.5.11        Debian configuration management sy
ii  libc6                      2.3.6.ds1-13  GNU C Library: Shared libraries
ii  libdbi-perl                1.53-1        Perl5 database interface by Tim Bu
ii  libgcc1                    1:4.1.1-21    GCC support library
ii  libmysqlclient15off        5.0.32-7etch1 mysql database client library
ii  libncurses5                5.5-5         Shared libraries for terminal hand
ii  libreadline5               5.2-2         GNU readline and history libraries
ii  libstdc++6                 4.1.1-21      The GNU Standard C++ Library v3
ii  libwrap0                   7.6.dbs-13    Wietse Venema's TCP wrappers libra
ii  lsb-base                   3.1-23.1      Linux Standard Base 3.1 init scrip
ii  mysql-client-5.0           5.0.32-7etch1 mysql database client binaries
ii  mysql-common               5.0.32-7etch1 mysql database common files (e.g. 
ii  passwd                     1:  change and administer password and
ii  perl                       5.8.8-7       Larry Wall's Practical Extraction 
ii  psmisc                     22.3-1        Utilities that use the proc filesy
ii  zlib1g                     1:1.2.3-13    compression library - runtime

Versions of packages mysql-server-5.0 recommends:
ii  mailx            1:8.1.2-0.20050715cvs-1 A simple mail user agent

-- debconf information:
  mysql-server-5.0/really_downgrade: false
* mysql-server-5.0/need_sarge_compat: false
  mysql-server-5.0/start_on_boot: true
  mysql-server-5.0/postrm_remove_databases: false
  mysql-server-5.0/need_sarge_compat_done: true

More information about the pkg-mysql-maint mailing list